---
lang: en
title: 'API docs: rest.routeentry'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.routeentry.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RouteEntry](./rest.routeentry.md)

## RouteEntry interface

An entry in the routing table

**Signature:**

```typescript
export interface RouteEntry 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[path](./rest.routeentry.path.md)


</td><td>

`readonly`


</td><td>

string


</td><td>

http path


</td></tr>
<tr><td>

[spec](./rest.routeentry.spec.md)


</td><td>

`readonly`


</td><td>

OperationObject


</td><td>

OpenAPI operation spec


</td></tr>
<tr><td>

[verb](./rest.routeentry.verb.md)


</td><td>

`readonly`


</td><td>

string


</td><td>

http verb


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[describe()](./rest.routeentry.describe.md)


</td><td>


</td></tr>
<tr><td>

[invokeHandler(requestContext, args)](./rest.routeentry.invokehandler.md)


</td><td>

A handler to invoke the resolved controller method


</td></tr>
<tr><td>

[updateBindings(requestContext)](./rest.routeentry.updatebindings.md)


</td><td>

Update bindings for the request context


</td></tr>
</tbody></table>

